Package org.apache.solr.client.solrj.response

# Class SuggesterResponse

java.lang.Object
org.apache.solr.client.solrj.response.SuggesterResponse

public class SuggesterResponse extends Object
Encapsulates responses from the Suggester Component

## Constructor Summary

Constructors
Constructor
Description
`SuggesterResponse(NamedList<NamedList<Object>> suggestInfo)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,List<String>>`
`getSuggestedTerms()`
This getter is lazily initialized and returns a simplified map dictionary : List of suggested terms This is useful for simple use cases when you simply need the suggested terms and no weight or payload
`Map<String,List<Suggestion>>`
`getSuggestions()`
get the suggestions provided by each

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SuggesterResponse

public SuggesterResponse(NamedList<NamedList<Object>> suggestInfo)

## Method Details

### getSuggestions

public Map<String,List<Suggestion>> getSuggestions()
get the suggestions provided by each

Returns:
  a Map dictionary name : List of Suggestion

### getSuggestedTerms

public Map<String,List<String>> getSuggestedTerms()
This getter is lazily initialized and returns a simplified map dictionary : List of suggested terms This is useful for simple use cases when you simply need the suggested terms and no weight or payload

Returns:
  a Map dictionary name : List of suggested terms